Author: frankie
Date: 2010-05-22 17:05:53 +0000 (Sat, 22 May 2010)
New Revision: 2883

Added:
   packages/postgis/trunk/debian/patches/getopt.dpatch
Modified:
   packages/postgis/trunk/debian/changelog
   packages/postgis/trunk/debian/patches/00list
Log:
Solving mips/mipsel FTBS.


Modified: packages/postgis/trunk/debian/changelog
===================================================================
--- packages/postgis/trunk/debian/changelog     2010-05-22 16:57:25 UTC (rev 
2882)
+++ packages/postgis/trunk/debian/changelog     2010-05-22 17:05:53 UTC (rev 
2883)
@@ -1,3 +1,10 @@
+postgis (1.5.1-4) unstable; urgency=high
+
+  * [PATCH] getopt.dpatch added to avoid var collisions among Postgis getopt
+    and glibc one. That solves a FTBS on mips/mipsel.
+
+ -- Francesco Paolo Lovergine <fran...@debian.org>  Sat, 22 May 2010 19:03:39 
+0200
+
 postgis (1.5.1-3) unstable; urgency=medium
 
   * Removed custom CFLAGS which probably caused FTBS on mips/mipsel archs.

Modified: packages/postgis/trunk/debian/patches/00list
===================================================================
--- packages/postgis/trunk/debian/patches/00list        2010-05-22 16:57:25 UTC 
(rev 2882)
+++ packages/postgis/trunk/debian/patches/00list        2010-05-22 17:05:53 UTC 
(rev 2883)
@@ -1,2 +1,3 @@
 install
 generator
+getopt

Added: packages/postgis/trunk/debian/patches/getopt.dpatch
===================================================================
--- packages/postgis/trunk/debian/patches/getopt.dpatch                         
(rev 0)
+++ packages/postgis/trunk/debian/patches/getopt.dpatch 2010-05-22 17:05:53 UTC 
(rev 2883)
@@ -0,0 +1,118 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## getopt.dpatch by Francesco Paolo Lovergine <fran...@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+...@dpatch@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' 
'--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' 
postgis-1.5.1~/loader/getopt.c postgis-1.5.1/loader/getopt.c
+--- postgis-1.5.1~/loader/getopt.c     2010-02-01 18:35:55.000000000 +0100
++++ postgis-1.5.1/loader/getopt.c      2010-05-22 19:02:45.000000000 +0200
+@@ -31,7 +31,7 @@
+  */
+ 
+ #define ERR(s, c)\
+-  if(opterr){\
++  if(pgis_opterr){\
+         char errbuf[2];\
+         errbuf[0] = (char)c; errbuf[1] = '\n';\
+         (void) write(2, argv[0], (unsigned)strlen(argv[0]));\
+@@ -39,10 +39,10 @@
+         (void) write(2, errbuf, 2);\
+   }
+ 
+-int     opterr = 1;
+-int     optind = 1;
+-int     optopt;
+-char    *optarg;
++int     pgis_opterr = 1;
++int     pgis_optind = 1;
++int     pgis_optopt;
++char    *pgis_optarg;
+ 
+ int
+ pgis_getopt(int argc, char **argv, char *opts)
+@@ -53,51 +53,51 @@
+ 
+       if (sp == 1)
+       {
+-              if (optind >= argc ||
+-                      argv[optind][0] != '-' /* && argv[optind][0] != '/' */ 
||
+-                      argv[optind][1] == '\0')
++              if (pgis_optind >= argc ||
++                      argv[pgis_optind][0] != '-' /* && argv[pgis_optind][0] 
!= '/' */ ||
++                      argv[pgis_optind][1] == '\0')
+               {
+                       return(EOF);
+               }
+-              else if (strcmp(argv[optind], "--") == 0)
++              else if (strcmp(argv[pgis_optind], "--") == 0)
+               {
+-                      optind++;
++                      pgis_optind++;
+                       return(EOF);
+               }
+       }
+-      optopt = c = argv[optind][sp];
++      pgis_optopt = c = argv[pgis_optind][sp];
+       if (c == ':' || (cp=strchr(opts, c)) == 0)
+       {
+               ERR(": illegal option -- ", c);
+-              if (argv[optind][++sp] == '\0')
++              if (argv[pgis_optind][++sp] == '\0')
+               {
+-                      optind++;
++                      pgis_optind++;
+                       sp = 1;
+               }
+               return('?');
+       }
+       if (*++cp == ':')
+       {
+-              if (argv[optind][sp+1] != '\0')
+-                      optarg = &argv[optind++][sp+1];
+-              else if (++optind >= argc)
++              if (argv[pgis_optind][sp+1] != '\0')
++                      pgis_optarg = &argv[pgis_optind++][sp+1];
++              else if (++pgis_optind >= argc)
+               {
+                       ERR(": option requires an argument -- ", c);
+                       sp = 1;
+                       return('?');
+               }
+               else
+-                      optarg = argv[optind++];
++                      pgis_optarg = argv[pgis_optind++];
+               sp = 1;
+       }
+       else
+       {
+-              if (argv[optind][++sp] == '\0')
++              if (argv[pgis_optind][++sp] == '\0')
+               {
+                       sp = 1;
+-                      optind++;
++                      pgis_optind++;
+               }
+-              optarg = NULL;
++              pgis_optarg = NULL;
+       }
+       return(c);
+ }
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' 
'--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' 
postgis-1.5.1~/loader/getopt.h postgis-1.5.1/loader/getopt.h
+--- postgis-1.5.1~/loader/getopt.h     2009-12-19 04:56:06.000000000 +0100
++++ postgis-1.5.1/loader/getopt.h      2010-05-22 19:03:08.000000000 +0200
+@@ -1,9 +1,9 @@
+ /* declarations for getopt and envargs */
+ 
+-extern int opterr;
+-extern int optind;
+-extern int optopt;
+-extern char *optarg;
++extern int pgis_opterr;
++extern int pgis_optind;
++extern int pgis_optopt;
++extern char *pgis_optarg;
+ 
+ extern int pgis_getopt(int argc, char **argv, char *opts);
+ extern void envargs(int *pargc, char ***pargv, char *envstr);


Property changes on: packages/postgis/trunk/debian/patches/getopt.dpatch
___________________________________________________________________
Added: svn:executable
   + *


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to